Subject: Generating Edebug names for generic methods (was: bug#22294: Patch)

From: Gemini Lasswell <[email-masked]>
Date: Tue, 09 May 2017 22:07:57 -0700

Dmitry Gutov <[email-masked]> writes:

> Unfortunately, this code fails when instrumenting a generic method
> (e.g. using C-u C-M-x) with something like:
>
> Unknown specializer foo@setf\ \(v\ \(_y\ \(eql\ 4\)\)\ z\)
>
> Any thoughts? edebug-match-method-args is definitely at fault there,
> but I'm not sure how to improve it.
>

Changing the return value of edebug-match-method-args from nil to
(list args) makes the error go away and the code sample from #24753
work. I haven't tested it beyond that.